Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 166989 - redhat-artwork iconcache fails for some situations
redhat-artwork iconcache fails for some situations
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-artwork (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 10:37 EDT by Sammy
Modified: 2013-03-13 00:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 00:32:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2005-08-29 10:37:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; X11; en_US) KHTML/3.4.2 (like Gecko)

Description of problem:
The update of the rpm fails with error messages under these conditions: 
 
1. There are other directories in /usr/share/icons e.g. for custom cursors, that do 
     not contain index.theme files. 
 
2. Custom icon directories that have index.desktop instead of index.theme 
 
3. Icon theme files (or desktop) that contain the header [KDE Icon Theme] instead of 
    just [Icon Theme] 
 
 
It should be easy to sweep through the directories and check/fix these in %post. I 
would suggest: 
 
 1. Ignore directories that do not contain either index.theme or index.desktop file 
 2. Rename index.desktop files to index.theme (or generalize iconcache to look for 
      either) 
 3. Either fix the KDE presence or modify iconcache to consider that too. 

Version-Release number of selected component (if applicable):
redhat-artwork-0.128-1

How reproducible:
Always

Steps to Reproduce:
1. Try to update redhat-artwork on a system containing custom icon/cursor directories 
2. 
3. 
   

Additional info:
Comment 1 Matthias Clasen 2005-10-03 00:32:50 EDT
no idea what index.desktop files could be, but the %post hook checks for
index.theme now.

Note You need to log in before you can comment on or make changes to this bug.